Count transactions matching filter
curl --request POST \
--url https://api.artu.ai/transactions/count \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"filter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"search": "<string>",
"amount": 123,
"currency": "<string>",
"description": "<string>",
"externalId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"relatedClientIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isAlerted": true,
"alertedAt": "2023-11-07T05:31:56Z",
"riskAssessment": {
"name": "<string>",
"eq": 123,
"gt": 123,
"gte": 123,
"lt": 123,
"lte": 123,
"levelIn": [
"<string>"
],
"levelNin": [
"<string>"
]
},
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tagIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopeData": {
"MX": {
"actividadVulnerable": {
"ARI": {
"operationType": "1501",
"leaseStartDate": "2023-12-25",
"leaseEndDate": "2023-12-25"
},
"AVI": {
"hash": "<string>",
"cryptoCurrency": "<string>",
"cryptoAmount": 123
},
"INM": {
"operationType": "501",
"contractType": "<string>"
},
"JYS": {},
"MJR": {
"operationPostalCode": "<string>"
},
"MPC": {
"postalCode": "<string>"
},
"TSC": {
"idNumber": "<string>",
"operationType": "211"
},
"VEH": {
"postalCode": "<string>"
}
},
"cnbv": {
"TRANSMISOR": {
"numeroCuenta": "<string>",
"sucursal": "<string>",
"localidad": "<string>"
}
}
}
}
}
}
'{
"count": 0
}Transactions
Count transactions matching filter
POST
/
transactions
/
count
Count transactions matching filter
curl --request POST \
--url https://api.artu.ai/transactions/count \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"filter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"search": "<string>",
"amount": 123,
"currency": "<string>",
"description": "<string>",
"externalId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"relatedClientIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isAlerted": true,
"alertedAt": "2023-11-07T05:31:56Z",
"riskAssessment": {
"name": "<string>",
"eq": 123,
"gt": 123,
"gte": 123,
"lt": 123,
"lte": 123,
"levelIn": [
"<string>"
],
"levelNin": [
"<string>"
]
},
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tagIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopeData": {
"MX": {
"actividadVulnerable": {
"ARI": {
"operationType": "1501",
"leaseStartDate": "2023-12-25",
"leaseEndDate": "2023-12-25"
},
"AVI": {
"hash": "<string>",
"cryptoCurrency": "<string>",
"cryptoAmount": 123
},
"INM": {
"operationType": "501",
"contractType": "<string>"
},
"JYS": {},
"MJR": {
"operationPostalCode": "<string>"
},
"MPC": {
"postalCode": "<string>"
},
"TSC": {
"idNumber": "<string>",
"operationType": "211"
},
"VEH": {
"postalCode": "<string>"
}
},
"cnbv": {
"TRANSMISOR": {
"numeroCuenta": "<string>",
"sucursal": "<string>",
"localidad": "<string>"
}
}
}
}
}
}
'{
"count": 0
}Authorizations
API key authentication. Obtain your API key from the dashboard.
Target environment for the request. Must be "test" or "live".
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
OK
Required range:
-9007199254740991 <= x <= 9007199254740991Was this page helpful?
⌘I
